package com.bonus.core.order.common.service;


import com.bonus.core.order.common.model.OrderRefund;

import java.math.BigDecimal;
import java.util.List;

public interface OrderRefundService {
   void updateOrderRefundById(OrderRefund updateOrderRefund);
//
//   void updateCheckState(Long orderRefundId, Integer checkState, String checkResult);
//
//   void removeUnPassCorrectByMacOrderId(String macOrderId, Long detailId);

   boolean existUnCheckOrder(Long orderId);

   boolean existRefundingOrder(Long orderId);

   void insertOrderRefundInfo(OrderRefund orderRefund);
//
//   OrderRefund getOrderRefundById(Long orderRefundId);
//
//   OrderRefund getOrderRefundByIdOrMacRefundId(Long orderRefundId, String macRefundId);
//
//   OrderRefund listOrderRefundByRefundTradeId(Long refundTradeId);

   BigDecimal getOrderRealRefundAmount(Long orderId);

   List<OrderRefund> listByOrderIds(List<Long> orderIds, Integer applyType, Integer checkState);
}
